<?php

namespace App\Generated\V1_1\Messages\UserHome;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class GetVisitorListMessage extends Message
{
    use ValueHelper;

    protected $page;
    protected $limit;
    protected $uid;
    protected $result;

    /**
     * 分页(页数)
     * @return int|null
     */
    public function getPage()
    {
        return $this->page;
    }

    /**
     * 每页多少
     * @return int|null
     */
    public function getLimit()
    {
        return $this->limit;
    }

    /**
     * 用户id;不天默认取自己的
     * @return int|null
     */
    public function getUid()
    {
        return $this->uid;
    }

    public function requestRules()
    {
        return [
            ['page', 'page', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['limit', 'limit', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
            ['uid', 'uid', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['result', 'result', 'bail', null, null],
        ];
    }

    public function setResponse($result)
    {
        $this->result = $result;
    }

}
